Manjaro Linux Forum

Announcements => Announcements, Package & Security Advisories => Stable Updates => Topic started by: Kirek on 22. March 2016, 00:42:20

Title: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Kirek on 22. March 2016, 00:42:20
We are happy to announce our thirteenth update of Manjaro 15.12 (Capella)!

Includes Libreoffice (fresh) update, bugfix release of KDE Appications 15.12.3, Cinnamon, Pamac bugfixes, Opera 36, Linux 4.5 and Virtualbox modules updates for all kernels.
OpenRC had some updates as well.

Upstream updates from Arch Linux are now from: Sun Mar 20 23:23:34 CET 2016.

Even if there's no announcement it's always good to check for updated packages. As usual, thanks go to those using our testing branch to help us get updates to our stable branch more smoothly. Please consider helping the testing process: the more testers there are, the more chance of finding and preventing issues!

For package update notifications on a daily basis please take a look at our package mailing list:

https://lists.manjaro.org/pipermail/manjaro-packages/

Kind regards,
The Manjaro Development Team



Current supported kernels


Package changes

https://lists.manjaro.org/pipermail/manjaro-packages/Week-of-Mon-20160321/006466.html
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: iKreate on 22. March 2016, 04:41:26
updated all packages without an issue. a noticed was given about polkit-gnome not autostarting anymore but since i use xfce, i disregarded it. thanks to the testers and all involved !
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: auberginepop on 22. March 2016, 04:42:08
Smooth update. Thanks!
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: claudecat on 22. March 2016, 06:05:27
No issues at all, as per usual. I continue to be amazed at how flawlessly (for me, with an older PC and vanilla KDE install) every last thing works under Manjaro. I run several other distros for fun and education (I fix Windows PC's for money, and have been able to convince more and more people to at least try Linux due to their hatred of 10 - it's helpful to know what to recommend and install for these folks) and have occasional issues with some of them, often the big players (Ubuntu, Mint). Manjaro, and Arch itself for that matter, never lets me down! Y'all should be very proud of your excellent work.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: CyberWolf2k14 on 22. March 2016, 07:33:14
And, yet again, another wonderfully smooth update.  8)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: ruziel on 22. March 2016, 08:24:42
Smooth update on my machine.

Thanks to everyone who contributed.

Ruziel  ;)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: mgundogdu on 22. March 2016, 08:34:44
Smooth. Thanks  8)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Charles LaHaine on 22. March 2016, 08:47:33
Everything went smooth except for an error message from manjaro-gnome-settings update:

Code: [Select]
error parsing key 'cursor-theme' in schema 'org.gnome.desktop.interface' as specified in override file 'usr/share/glib-2.0/schemas/99_manjaro-settings.gschema.override': 0-1:unknown keyword.Ignoring override for this key.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: kudos on 22. March 2016, 09:17:34
Can't complete the upgrade with message:

Code: [Select]
conflicting files:
python2-unidecode: /usr/lib/python2.7/site-packages/unidecode/util.py already exists in filesystem
python2-unidecode: /usr/lib/python2.7/site-packages/unidecode/util.pyc already exists in filesystem

Any advice?

EDIT: Solved this - In my case python2-unidecode depended on by beets. Removed beets and dependencies, removed offended files and reinstalled beets
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: nikhilprabhakar on 22. March 2016, 09:21:00
I will install this update in the evening IST. By the way, why don't we have the poll like we use to for each updates thread?
I think it was a really good way to understand the smoothness of an update. It can help people to be extra careful if a lot of people are reporting issues after updating the system.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: boletus on 22. March 2016, 09:51:43
Smooth update on my machines.
Thanks
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: kouros17 on 22. March 2016, 10:11:03
Am I the only one which still have the problem with pamac (freezes on "updating multilib" when it's refreshing repos db and click on "details") even after the upgrade of pamac to 3.2.1?
I take the following message at the start:

Code: [Select]
Refreshing mirrors list...
Unable to init server: Could not connect: Connection refused

...then the process seems to be going normally and finally freezes on "multilib"

The problem has described here:

https://forum.manjaro.org/index.php?topic=32002.msg262743#msg262743
https://forum.manjaro.org/index.php?topic=32002.msg262880#msg262880
https://github.com/manjaro/pamac/issues/108
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: KabirGandhiok on 22. March 2016, 10:12:22
Hi,

After the update plank has started to behave unusually. I cannot change any settings, I tried configuring it by editing the "settings" file in .config/plank/dock1 but still nothing. Also tried reinstalling plank, but that didnt help either. The only way I can configure plank is by editing the settings file, because I had removed the plank dock item from appearing in the plank. And now I cannot add it back, because when I change DockItem=true it does not reflect any change. When I remove plank through pacman -Rsn and then reinstall it, plank does not show its default, out of the box configuration. Can anyone help me with this please?

Thanks!
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Inquisitore on 22. March 2016, 10:25:35
The only way I can configure plank is by editing the settings file, because I had removed the plank dock item from appearing in the plank. And now I cannot add it back, because when I change DockItem=true it does not reflect any change.

Whit the new release Plank has completely removed the Plank button, you will never get it back even if you modified the setting file, instead you can access the Plank configuration screen by using Ctrl+RightClick on the Plank.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: KabirGandhiok on 22. March 2016, 10:33:19
Whit the new release Plank has completely removed the Plank button, you will never get it back even if you modified the setting file, instead you can access the Plank configuration screen by using Ctrl+RightClick on the Plank.

Thanks that worked! :D
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: neil1969 on 22. March 2016, 11:06:59
Went very smoothly.  Thanks for all the hard work.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: jimmyrustler on 22. March 2016, 11:11:44
No issues.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Shryp on 22. March 2016, 11:42:32
Working fine for me.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: PhilC on 22. March 2016, 11:52:05
It went very smoothly, and at the moment everything seems to work. Octopi did spit out the following message, though:

tput: No value for $TERM and no -T specified

I don't recall seeing that on previous updates ...but it doesn't appear to affect anything.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: tyranthraxus on 22. March 2016, 12:34:09
So far so good on Cinnamon.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: meihofer on 22. March 2016, 13:16:02
Maybe its just me but, is anybody else having problems after updating the Opera browser? For some reason after the update when I click on the Opera Icon, nothing happens. Opera does not start up at all. Anyone with the same problem or a solution please let me know! Thanks.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: DK3 on 22. March 2016, 14:01:49
Update on 12 MAchines without Problems.

Thx


DK3
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Loki on 22. March 2016, 14:32:50
Update perfect. Very smooth. Thanks.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: nilssn on 22. March 2016, 14:33:42
No problem w/ Plasma 5.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Madh on 22. March 2016, 14:43:53
Hi. I have a problem with "python-pip", i can't update package because there're files in conflict and some files already exist in system.

(http://oi64.tinypic.com/34gvm1l.jpg)

Any idea?
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: anika200 on 22. March 2016, 14:58:34
Hi. I have a problem with "python-pip", i can't update package because there're files in conflict and some files already exist in system.


Any idea?
I can not read your jpg but usually it is safe to remove the conflicting packages via pacman and then update again. Also if there is only one file already existing you can usually remove it with sudo rm from a terminal and then start the upgrade again.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: AJSlye on 22. March 2016, 15:03:13
Use pacman -Qo python-pip to find out what package installed those files.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Madh on 22. March 2016, 15:08:47
Thank for the answers, i renamed files and update was smoothly  ;)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: finaldesign on 22. March 2016, 15:14:37
...continue to be amazed at how flawlessly (for me, with an older PC and vanilla KDE install) every last thing works under Manjaro. I run several other distros for fun and education (I fix Windows PC's for money, and have been able to convince more and more people to at least try Linux ...Y'all should be very proud of your excellent work.
Am in your same situation, mostly fixing Window PCs, and am amazed at how Manjaro "rescues" old machines. Now that NETFLIX RUNS OUT OF THE BOX WITH CHROME BROWSER, am installing Manjaro for my folks everywhere that they do not need to run Windows-specific software. That is to say if people are not part of the 20% of people running Quicken/Quickbooks, or AutoCad type software, or some vertical-market specific business package, we are doing a disservice to the other 80% of folks to not suggest or demonstrate Manjaro.

Thanks Manjaro team.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: beardedragon on 22. March 2016, 15:54:25
Good Stable update, no issues, Thanks Team.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: saayuj98 on 22. March 2016, 16:12:51
The update was smooth after all :)

Just one question though.. Why aren't the Nvidia drivers updated to version 361. In Manjaro repository,we have nvidia-352.
I'm using Arch Linux on my other PC, those drivers (v361) work fine there.

Is this related to some stability/driver issues on version 361 that some of us Manjaro users facing?
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: folky on 22. March 2016, 17:38:45
This time no problem. Tested even with kernel 4.5 and now there is no problem.  :)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Shryp on 22. March 2016, 17:50:05
Maybe its just me but, is anybody else having problems after updating the Opera browser? For some reason after the update when I click on the Opera Icon, nothing happens. Opera does not start up at all. Anyone with the same problem or a solution please let me know! Thanks.

I had a similar issue with google-chrome from the AUR when I first installed. I was copying the config directory from a backup and some of the files were corrupt or missing. This caused chrome to crash immediately when attempting to start it. Was no feedback on the screen unless I launched it manually from a terminal. Find the opera config files and rename them and see if a fresh profile works. My guess would be they would be labeled .opera or .config/opera from your home folder. Make sure you have view hidden files enabled.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: bandithijo on 22. March 2016, 18:10:48
Hi. I have a problem with "python-pip", i can't update package because there're files in conflict and some files already exist in system.
(http://oi64.tinypic.com/34gvm1l.jpg)
Any idea?

i've same problem when i'm updated with Package Manager. Then, i closed Package Manager and open Terminal and type
'sudo pacman -Syyu', i got the same problem.
and than i uninstall python-pip, i used python-pip before, for install powerline.
after i uninstall python-pip, i can update with 'sudo pacman -Syyu'
and than, i checked Package Manager, and typed 'pip' on search bar.
i found this. There is 2 python-pip, python-pip(extra) & python2-pip(local).
(http://s20.postimg.org/dscpvie31/Screenshot_2016_03_23_01_00_00.png)
and the command for pip has been  changed, when i choose 'python2-pip'
i cant use 'pip', 'pip' is for 'python-pip'
'python2-pip' use 'pip2'

thx for error, when no error i dont know there are 2 different python-pip. Hehehehe
=D
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Kirek on 22. March 2016, 18:12:39
For everyone with python issues, did you ever install python packages using the "pip" command?
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: LA-MJ on 22. March 2016, 18:34:35
still waiting for a nvidia version bump  >:(
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: beardedragon on 22. March 2016, 18:53:11
The update was smooth after all :)

Just one question though.. Why aren't the Nvidia drivers updated to version 361. In Manjaro repository,we have nvidia-352.
I'm using Arch Linux on my other PC, those drivers (v361) work fine there.

Is this related to some stability/driver issues on version 361 that some of us Manjaro users facing?
Awhile back nvidia 361 in Manjaro had problems, everything from bad breakage during videos to black screen.  So they dropped back to 352.  Checkout this screenshot of @philm post back in January when the SHTF.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: wordler on 22. March 2016, 19:17:02
Smooth update except for plank preferences altering  ??? , but they were easy to change back.
Everything is working well, thanks Manjaro Team  :)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: dr-kart on 22. March 2016, 19:57:52
I got a message about choosing to run smth. like "dbus"  or "run-dbus"  (sorry it's dropped out of my mind)

So,  openRC users, have anybody got that kind of a message? Thus should I run some extra command after?
 
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: edo on 22. March 2016, 21:01:37
I only have this error, but no idea what it is.


error: failed retrieving file 'tzdata-2016b-1-any.pkg.tar.xz' from ftp.belnet.be : Resolving timed out after 10519 milliseconds

Any advice?
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: oberon on 22. March 2016, 21:14:34
error: failed retrieving file 'tzdata-2016b-1-any.pkg.tar.xz' from ftp.belnet.be : Resolving timed out after 10519 milliseconds
Your profile says you're not in Belgium. So it might help to rank mirrors for you:
Code: [Select]
sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -Su
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Foxwater on 22. March 2016, 21:40:02
Smooth update both KDE & Xfce.  Thank you.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Vividal on 22. March 2016, 21:55:13
For everyone with python issues, did you ever install python packages using the "pip" command?

Yes, I had the problem with "Gajim" and some of its dependencies (python2-pyopenssl -> python2-cryptography caused a problem with python2-enum34). Fixed it by reinstalling Gajim and dependencies using yaourt instead of pip.

Regards,
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: curtvaughan on 22. March 2016, 22:15:43
Hello. I get the following key retrieval error after attempting to do the 22-March-2016 update. I tried to update from the GUI as well, which aborts after this error.  Any suggestions?  Thanks ahead of time.

[root@manjarolinux curt]# pacman -Syyu
:: Synchronizing package databases...
 core                     135.1 KiB   570K/s 00:00 [######################] 100%
 extra                   1879.0 KiB  1160K/s 00:02 [######################] 100%
 community                  3.6 MiB  1488K/s 00:02 [######################] 100%
 multilib                 184.0 KiB  3.21M/s 00:00 [######################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: freetype2 will be installed before its harfbuzz dependency
warning: dependency cycle detected:
warning: freetype2 will be installed before its harfbuzz dependency

Packages (344) accountsservice-0.6.40-2  acpid-2.0.27-1  alsa-plugins-1.1.0-3
               apr-util-1.5.4-2  archlinux-keyring-20160215-1  avahi-0.6.32-2
               binutils-2.26-3  blueman-2.0.3-1  bluez-5.38-1
               bluez-libs-5.38-1  bmenu-0.4.3-1  boost-libs-1.60.0-2
               brandr-0.2-3  btrfs-progs-4.4.1-1
               ca-certificates-mozilla-3.22.1-1  cantarell-fonts-1:0.0.24-1
               catfish-1.4.1-2  chromaprint-1.3.1-1  coreutils-8.25-1
               cpupower-4.5-1  cryptsetup-1.7.1-1  cups-2.1.3-1
               cups-filters-1.8.2-1  cups-pk-helper-0.2.6-1  curl-7.47.1-2
               dbus-1.10.8-1  dbus-glib-0.106-1  dcadec-0.2.0-1
               device-mapper-2.02.146-1  dhclient-4.3.3.p1-1  dhcpcd-6.10.1-1
               downgrade-5.2.1-1  ecryptfs-utils-108-2  elfutils-0.165-1
               elinks-0.13-16  enchant-1.6.0-7  exfat-utils-1.2.3-2
               expat-2.1.1-1  f2fs-tools-1.6.0-1  ffmpeg-1:3.0-1
               ffmpeg2.8-2.8.6-1  ffmpegthumbnailer-2.1.1-1  findutils-4.6.0-1
               firefox-gtk2-45.0.1-1  flashplugin-11.2.202.577-1  flex-2.6.0-2
               foomatic-db-engine-3:20160214-1  freetype2-2.6.3-1  fuse-2.9.5-1
               gcc-libs-multilib-5.3.0-5  gcc-multilib-5.3.0-5  gegl02-0.2.0-4
               geoclue2-2.4.3-1  gettext-0.19.7-1  ghostscript-9.18-6
               giflib-5.1.2-1  git-2.7.4-1  glib2-2.46.2-4  glibc-2.23-1
               gmp-6.1.0-3  gnupg-2.1.11-1  gnutls-3.4.10-1  gnutls28-3.3.19-1
               gparted-0.25.0-1  graphite-1:1.3.6-1  grep-2.24-1
               grub-2.02.beta2-15  gsm-1.0.14-1  gst-libav-1.6.3-3
               gst-plugins-bad-1.6.3-6  gst-plugins-base-1.6.3-1
               gst-plugins-base-libs-1.6.3-1  gst-plugins-good-1.6.3-1
               gst-plugins-ugly-1.6.3-1  gstreamer-1.6.3-1
               gstreamer0.10-bad-0.10.23-14
               gstreamer0.10-bad-plugins-0.10.23-14  gtk-sharp-2-2.12.29-1
               gtk-update-icon-cache-3.18.9-1  gtk2-2.24.30-1  gtk3-3.18.9-1
               gtksourceview3-3.18.2-1  gvfs-1.26.3-1  gvfs-afc-1.26.3-1
               gvfs-gphoto2-1.26.3-1  gvfs-mtp-1.26.3-1  gvfs-smb-1.26.3-1
               harfbuzz-1.2.3-1  harfbuzz-icu-1.2.3-1  hexchat-2.12.0-1
               hplip-3.16.3-1  hunspell-1.3.4-1  hwids-20160306-1
               iana-etc-20160314-1  icedtea-web-1.6.2-1  imagemagick-6.9.3.7-1
               intel-ucode-20151106-1  inxi-2.2.35-1  iproute2-4.4.0-1
               iputils-20150815.1c59920-3  iso-codes-3.66-1  iw-4.3-1
               jre8-openjdk-8.u74-1  jre8-openjdk-headless-8.u74-1
               kitemmodels-5.19.0-1  krb5-1.13.2-3  ldb-1.1.26-1  ldns-1.6.17-4
               lib32-elfutils-0.165-1  lib32-gcc-libs-5.3.0-5
               lib32-glibc-2.23-1  lib32-gnutls-3.4.10-1  lib32-libcap-2.25-1
               lib32-libdbus-1.10.6-1  lib32-libdrm-2.4.67-1
               lib32-libgcrypt-1.6.5-1  lib32-libgnutls28-3.3.19-3
               lib32-libltdl-2.4.6-4  lib32-libpng-1.6.21-1
               lib32-libpulse-8.0-1  lib32-libsndfile-1.0.26-1
               lib32-libssh2-1.7.0-2  lib32-libxi-1.7.6-1
               lib32-libxml2-2.9.3-1  lib32-llvm-libs-3.7.1-1
               lib32-mesa-11.1.2-1  lib32-nettle-3.2-1  lib32-nettle4-2.7.1-4
               lib32-openssl-1:1.0.2.g-3  lib32-p11-kit-0.23.2-1
               lib32-readline-6.3.008-2  lib32-sdl2-2.0.4-2
               lib32-systemd-229-1  lib32-wayland-1.10.0-1  libass-0.13.2-1
               libbsd-0.8.2-2  libburn-1.4.2.pl01-1  libcaca-0.99.beta19-1
               libcap-2.25-1  libcdr-0.1.2-1  libcups-2.1.3-1
               libdatrie-0.2.10-1  libdbus-1.10.8-1  libdrm-2.4.67-1
               libdvdcss-1.4.0-1  libebml-1.3.3-2  libelf-0.165-1
               libetonyek-0.1.6-1  libevdev-1.4.6-1  libevent-2.0.22-2
               libgcrypt-1.6.5-1  libgphoto2-2.5.9-1  libgsf-1.14.36-1
               libical-2.0.0-2  libimobiledevice-1.2.0-3  libinput-1.2.2-1
               liblangtag-0.5.8-2  libldap-2.4.44-1  libmatroska-1.4.4-1
               libmpcdec-1:0.1+r475-1  libmtp-1.1.11-1  libnl-3.2.27-1
               libnm-glib-1.0.10-2  libnotify-0.7.6-2  libodfgen-0.1.6-1
               libpagemaker-0.0.3-1  libpng-1.6.21-1  libproxy-0.4.12-1
               libpulse-8.0-3  libpurple-2.10.12-1  libqmi-1.12.8-1
               libreoffice-still-5.0.5-1  librevenge-0.0.4-1
               librsvg-2:2.40.13-1  libsecret-0.18.4-1  libshout-1:2.4.1-2
               libsigc++-2.8.0-1  libsndfile-1.0.26-1  libsodium-1.0.8-1
               libsrtp-1:1.5.4-1  libssh-0.7.3-1  libssh2-1.7.0-2
               libsynctex-2015.37497-10  libsystemd-229-3  libteam-1.23-1
               libthai-0.1.24-1  libva-1.6.2-1  libvisio-0.1.5-1
               libvoikko-4.0.2-1  libvpx-1.5.0-4  libwacom-0.18-1
               libwbclient-4.3.6-1  libwebp-0.5.0-1  libwpd-0.10.1-1
               libwpg-0.3.1-1  libwps-0.4.3-1  libx264-2:148.20160103-1
               libxslt-1.1.28-4  lightdm-1:1.16.7-3
               lightdm-gtk-greeter-1:2.0.1-2.1  linux-api-headers-4.4.1-1
               linux-firmware-20160113.40e9ae8-1  linux41-4.1.19-1
               linux41-ndiswrapper-1.59-10  llvm-libs-3.7.1-1  lvm2-2.02.146-1
               make-4.1-3  man-pages-4.05-1  manjaro-firmware-20160117-1
               manjaro-keyring-20160302-2  manjaro-settings-manager-0.4.14-1
               manjaro-welcome-15.12-8  mdadm-3.4-1  menda-themes-20160212-1
               menda-themes-dark-20160212-1  mesa-11.1.2-1  mhwd-amdgpu-1.0.1-1
               mhwd-db-0.5.6-12  mhwd-nvidia-1:352.79-1  mhwd-tui-0.2-3
               mkinitcpio-19-1  mkinitcpio-busybox-1.24.1-1  mono-4.2.2.30-2
               mpfr-3.1.4-1  mugshot-0.3.0-5  nano-2.5.3-1  nbd-3.13-1
               neon-0.30.1-2  nettle-3.2-1  nettle4-2.7.1-4
               network-manager-applet-1.0.10-1  networkmanager-1.0.10-2
               networkmanager-openvpn-1.0.9-1  nm-connection-editor-1.0.10-1
               nspr-4.12-1  nss-3.22.1-1  ntp-4.2.8.p6-3  ocl-icd-2.2.8-1
               openssh-7.2p2-1  openssl-1.0.2.g-3  openvpn-2.3.10-1
               opus-1.1.2-1  orage-4.12.1-2  orc-0.4.25-1  p11-kit-0.23.2-1
               package-query-1.7-2  pacli-0.8-1  pacman-5.0.1-2
               pacman-mirrorlist-20160301-1  pamac-3.2.1-1  pango-1.39.0-1
               pavucontrol-3.0-4  pciutils-3.4.1-1  pcre-8.38-3  perl-5.22.1-2
               perl-clone-0.38-1  perl-uri-1.71-1  perl-xml-libxml-2.0124-1
               pidgin-2.10.12-1  pixman-0.34.0-1  pkg-config-0.29.1-1
               pmenu-0.3.2-1  poppler-0.41.0-1  poppler-glib-0.41.0-1
               poppler-qt5-0.41.0-1  potrace-1.13-1  protobuf-c-1.2.1-2
               pulseaudio-8.0-3  pulseaudio-bluetooth-8.0-3
               pulseaudio-zeroconf-8.0-3  python-3.5.1-2  python-dbus-1.2.4-1
               python-dbus-common-1.2.4-1  python-distutils-extra-2.39-1
               python-psutil-4.1.0-1  python-ptyprocess-0.5.1-1
               python-pycurl-7.43.0-1  python-sip-4.17-1  python-urllib3-1.14-1
               python2-2.7.11-2  python2-netifaces-0.10.4-2  qpdfview-0.4.16-3
               qpdfview-djvu-plugin-0.4.16-3  qpdfview-ps-plugin-0.4.16-3
               qt4-4.8.7-7  qt5-base-5.5.1-10  qt5-svg-5.5.1-10
               redland-1:1.0.17-3  rp-pppoe-3.12-1  rsync-3.1.2-1
               rtmpdump-1:2.4.r96.fa8646d-2  run-parts-4.7-1  s-nail-14.8.6-2
               sdl2-2.0.4-2  sdl2_image-2.0.1-1  serf-1.3.8-2  sg3_utils-1.42-1
               sip-4.17-1  smbclient-4.3.6-1  sqlite-3.11.1-1
               steam-manjaro-1.0.0.51-4  subversion-1.9.3-2  syslinux-6.03-5
               systemd-229-3  systemd-sysvcompat-229-3  talloc-2.1.6-1
               tevent-0.9.28-1  texinfo-6.1-1  texlive-bin-2015.37497-10
               thin-provisioning-tools-0.6.1-2  thunderbird-38.7.0-1
               tre-0.8.0-4  ttf-dejavu-2.35-1
               ttf-inconsolata-20151221.480630d-1  ttf-liberation-2.00.1-6
               tzdata-2016b-1  udisks2-2.1.7-1  unrar-1:5.3.11-1
               update-notifier-0.4-1  upower-0.99.4-2  usb_modeswitch-2.3.0-1
               v4l-utils-1.10.0-1  videoproto-2.3.3-1  vlc-2.2.2-3
               vte-common-0.42.5-1  vte3-0.42.5-1  wayland-1.10.0-1
               webkit2gtk-2.10.9-1  webkitgtk-2.4.10-1  webkitgtk2-2.4.10-1
               wget-1.17.1-1  wpa_supplicant-1:2.5-3  x265-1.9-1
               xcursor-menda-20160212-1  xf86-input-evdev-2.10.1-1
               xf86-video-intel-1:2.99.917+560+gd167280-0.1
               xfce4-whiskermenu-plugin-1.5.2-1  xfsprogs-4.3.0-1
               xkeyboard-config-2.17-2  xorg-xrandr-1.5.0-1  xorg-xrdb-1.1.0-2
               yaourt-1.7-2  zeromq-4.1.4-1  zip-3.0-7

Total Installed Size:  3083.58 MiB
Net Upgrade Size:        71.18 MiB

:: Proceed with installation? [Y/n]
(344/344) checking keys in keyring                 [######################] 100%
downloading required keys...
error: key "8DB9F8C18DF53602" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.
[root@manjarolinux curt]#
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: schpankme on 22. March 2016, 22:21:28
PCMANFM
Looks to be an issue with gvfs, gvfs-mtp.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: kouros17 on 22. March 2016, 22:27:05
@ curtvaughan, try the following commands:

Code: [Select]
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh
sudo pacman -Syyu

Take a look hear also:
https://wiki.manjaro.org/index.php?title=Pacman_troubleshooting#Errors_about_Keys
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: curtvaughan on 22. March 2016, 22:40:48
@ curtvaughan, try the following commands:

Code: [Select]
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh
sudo pacman -Syyu

Take a look hear also:
https://wiki.manjaro.org/index.php?title=Pacman_troubleshooting#Errors_about_Keys

Thank you so much!! That did the trick.  Very much appreciated  ;D
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: edo on 22. March 2016, 23:38:16
Your profile says you're not in Belgium. So it might help to rank mirrors for you:
Code: [Select]
sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -Su

Thanks.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: joshuadunamis on 23. March 2016, 03:34:58
Yesss!!! It's all right!!! Thanks Manjaro Linux Dev Team!!!
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Kraig on 23. March 2016, 06:59:19
Code: [Select]
file in conflitto:
perl-locale-gettext: /usr/lib/perl5/vendor_perl/Locale/gettext.pm esiste già nel filesystem
perl-locale-gettext: /usr/lib/perl5/vendor_perl/auto/Locale/gettext/gettext.so esiste già nel filesystem
perl-locale-gettext: /usr/share/man/man3/Locale::gettext.3pm.gz esiste già nel filesystem

Any idea?
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: klesk on 23. March 2016, 11:45:36
PCMANFM
  • Auto detect devices not working
  • USB not auto detecting
Looks to be an issue with gvfs, gvfs-mtp.

Can't reproduce here. Works like a charm.

Code: [Select]
file in conflitto:
perl-locale-gettext: /usr/lib/perl5/vendor_perl/Locale/gettext.pm esiste già nel filesystem
perl-locale-gettext: /usr/lib/perl5/vendor_perl/auto/Locale/gettext/gettext.so esiste già nel filesystem
perl-locale-gettext: /usr/share/man/man3/Locale::gettext.3pm.gz esiste già nel filesystem

Any idea?

Try the --force option along with pacman to override existing files

TIP for all members

Use the following command if you don't use english as your default language,

Code: [Select]
export LC_ALL=C
before you execute your command you intend to paste. It forces the the application to use its default language.
After that

Code: [Select]
export LC_ALL=""
and all is back to normal.

Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: v17564 on 23. March 2016, 11:47:21
Hello.

I have installed Plank and after this update Plank does not work properly: not shown the main icon (the anchor), the mail icon only leaves a gray box and the Parole is duplicate. See the image.

I have a VirtualBox VM without this last update and without Plank. I have only installed Plank, without installing updates and also appears the problem described.

The install of Plank only install the next packages.
Quote
[2016-03-23 15:46] [ALPM] transaction started
[2016-03-23 15:46] [ALPM] installed libwnck3 (3.14.1-1)
[2016-03-23 15:46] [ALPM] installed bamf (0.5.1-1)
[2016-03-23 15:46] [ALPM] installed libgee (0.18.0-1)
[2016-03-23 15:46] [ALPM] installed plank (0.11.0-1)
[2016-03-23 15:46] [ALPM] installed plank-config (1.3.1-1)
[2016-03-23 15:46] [ALPM] transaction completed
It is curious, have not been installed new packages, there is no record of previous versions installed on the "pacman.log" and last week Plank worked perfectly.


Ping problem persist, i test with the lastest kernels 3.18, 4.1 and 4.4, maybe a parameter in the compilation. If i delete the option of disable IPv6 in the kernel with grub, ping command work normal.
From the post: https://forum.manjaro.org/index.php?topic=31663.msg260778#msg260778
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: gadgetboi on 23. March 2016, 12:12:59
smooth on my XFCE and KDE (hopefully KDE won't have any problem after fresh start tommorow)  ;D
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: ninsa on 23. March 2016, 13:34:29
No problems whatsoever. Great! :D
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: svnset on 23. March 2016, 13:36:08
smooth update no issues :)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: rexmalcolm on 23. March 2016, 14:41:40
Everything works fine! Thank you!
I am really proud of being member of the Manjaro Community!
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: aajjbb on 23. March 2016, 16:02:20
Everything smooth here.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: leledumbo on 23. March 2016, 17:06:56
So far so good
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: pianoplayer on 23. March 2016, 17:26:32
My bluetooth speakers suffer from disconnect now. The signal is being lost after 1-2 sec. Then I need to reconnect, which gives me another 1-2 sec of music.  :(
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Nergal on 23. March 2016, 19:15:00
The usual smooth update on two systems.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: pawelx on 23. March 2016, 22:09:38
Seamless update on my XFCE laptop and KDE desktop. WiFi is still breaking off on the Lenovo G50-30, but this seems to be a kernel driver issue which has been bugging me since I bought this computer (I had Ubuntu originally and it was the same). I just have to reconnect regularly. Compiz throws a trantrum every now and then, switching off its components occasionally, but compiz has always been quirky and of course this is not a default module for XFCE. Other than that, things are really smooth after each update.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: beardedragon on 23. March 2016, 23:43:15
Seamless update on my XFCE laptop and KDE desktop. WiFi is still breaking off on the Lenovo G50-30, but this seems to be a kernel driver issue which has been bugging me since I bought this computer (I had Ubuntu originally and it was the same). I just have to reconnect regularly. Compiz throws a trantrum every now and then, switching off its components occasionally, but compiz has always been quirky and of course this is not a default module for XFCE. Other than that, things are really smooth after each update.
You may want to switch to WICD, it works for me, without the dropouts in Testing.  See some idea on how-to here:  https://forum.manjaro.org/index.php?topic=5254.msg45980#msg45980
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Adr1an on 24. March 2016, 11:00:55
Perfect, as always :) Thanks.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: garyguss on 24. March 2016, 14:26:43
Did initial install of Manjaro xfce 15-12x86-64.iso on my new to me computer Dell Optiflex 990.. Install went fine as always, with system up and running package manager came up with 331 upgrades. Ran pacmanager and it choked looking for keys.. Re initialized keys, killed packages etc. and still no joy. Commented out siglevel in pacman.conf to see if that helps.
Will comment more when I know more. Dual booting with Windows 10 as well on this one.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: limaunion on 24. March 2016, 15:26:01
I don't know if it was related to this upgade but got a core dump  in two different laptops while trying to launch VLC:

Code: [Select]
vlc -v
VLC media player 2.2.2 Weatherwax (revision 2.2.2-0-g6259d80)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/services_discovery/libmtp_plugin.so' (libmtp.so.9: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/visualization/libgoom_plugin.so' (libgoom2.so.0: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/visualization/libprojectm_plugin.so' (libprojectM.so.2: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/demux/libgme_plugin.so' (libgme.so.0: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/control/liblirc_plugin.so' (liblirc_client.so.0: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/access/libdv1394_plugin.so' (libavc1394.so.0: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/access/libvcdx_plugin.so' (libvcdinfo.so.0: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/access/libdc1394_plugin.so' (libdc1394.so.22: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/access/libaccess_mtp_plugin.so' (libmtp.so.9: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/codec/libtwolame_plugin.so' (libtwolame.so.0: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/video_output/libaa_plugin.so' (libaa.so.1: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/video_output/libcaca_plugin.so' (libcaca.so.0: cannot open shared object file: No such file or directory)
[0000000001dc5148] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Segmentation fault (core dumped)

To solve this I simply had to reinstall vlc.
Thanks for this amazing distro.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: nikhilprabhakar on 24. March 2016, 15:47:54
Updated right now. And it was smooth as always. Thanks guys :)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: charlwillia6 on 24. March 2016, 18:06:34
I am having a few issues.  Update was smooth, but now things are freezing often.  Have had to restart 6 times in the last four hours.  I use Cinnamon as the DE and it seems to do it when I am trying to extract an Archive, download a file, or write an image.  It doesn't matter if the archive is a tar file or iso file, and it doesn't matter what website it is that I am downloading from.  I think one of those two times it froze I was not downloading any files, or anything like that.  I also usually have a slideshow for the background, and when ever Cinnamon crashes, the background always resets to the default when I installed.  It has froze with isousb, winusb, Chrome, terminal extraction, and Pamac while installing packages.  Not sure what is causing the freezes, but it is doing it quite often since the update.  Usually if my computer freezes, the mouse is still moveable and I can ctl-alt-backspace to get out of it.  Not this time.  Everything freezes and I need to hard-restart.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: g33zr on 24. March 2016, 19:37:28
^ Are you still using kernel 3.18.? Go to Manjaro Settings and update your kernel to 4.4 and see if that helps.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: Kraig on 25. March 2016, 06:38:23
Try the --force option along with pacman to override existing files
Thanks, i solved. ;)
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: omnimoon on 25. March 2016, 17:11:36
Smooth update, no issues here. Thanks, team!
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: muncharo on 25. March 2016, 21:01:47
I can't update due to this python-pip error, shall I just delete the files that exist?

Code: [Select]
error: failed to commit transaction (conflicting files)
python-pip: /usr/lib/python3.5/site-packages/pip/_vendor/packaging/__pycache__/requirements.cpython-35.pyc exists in filesystem
python-pip: /usr/lib/python3.5/site-packages/pip/_vendor/packaging/__pycache__/utils.cpython-35.pyc exists in filesystem
python-pip: /usr/lib/python3.5/site-packages/pip/_vendor/packaging/requirements.py exists in filesystem
python-pip: /usr/lib/python3.5/site-packages/pip/_vendor/packaging/utils.py exists in filesystem
python-pip: /usr/lib/python3.5/site-packages/pip/compat/__pycache__/ordereddict.cpython-35.pyc exists in filesystem
python-pip: /usr/lib/python3.5/site-packages/pip/compat/ordereddict.py exists in filesystem
python-pip: /usr/lib/python3.5/site-packages/pip/utils/__pycache__/encoding.cpython-35.pyc exists in filesystem
python-pip: /usr/lib/python3.5/site-packages/pip/utils/encoding.py exists in filesystem
Errors occurred, no packages were upgraded.
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: kouros17 on 26. March 2016, 00:05:49
I can't update due to this python-pip error, shall I just delete the files that exist?

https://forum.manjaro.org/index.php?topic=32324.msg264554#msg264554
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: muncharo on 27. March 2016, 07:21:54
is pip broken (= not supposed to be used) in manjaro / arch? I have a long list of pip packages installed, do I need to remove them all and reinstall them? I can't just install them with yaourt, I get the some error as mentioned above if I try to install them while they still exist ..
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: LA-MJ on 27. March 2016, 12:19:40
is pip broken (= not supposed to be used) in manjaro / arch? I have a long list of pip packages installed, do I need to remove them all and reinstall them? I can't just install them with yaourt, I get the some error as mentioned above if I try to install them while they still exist ..

pacman is an awesome tool and should be used whenever possible. If a file did not originate from a pacman package, pacman db has no info about it and errors out if it is found during installation. This includes cases when new pacman packages are pulled in as dependencies during upgrades: pacman has no idea that you have that pip package already installed.

You can always use `--force` switch to overwrite those files but it's best to `pip uninstall` any foreign pip packages to prevent these errors. There is advice available (https://wiki.archlinux.org/index.php/Pacman/Tips_and_tricks#Identify_files_not_owned_by_any_package) how to find foreign files in your system.

While not all possible packages are available in the repos/aur everything available should be replaced. I actually used `pip2arch` and `makepkg` to replace even those pip packages that were not available at the time.

This also applies to other package managers: npm, gem, etc
Title: Re: [Update] 2016-03-22 - Libreoffice, KDE Applications, Pamac, Opera, Linux45
Post by: muncharo on 29. March 2016, 19:10:32
I gave it a shot with --force .. will refrain from pip ...

had no issues with npm so far, probably because I installed packages that were not available in pacman / aur ?